/***************************************************************************
    copyright            : (C) 2005 by Brian Kerrick Nickel
    email                : brian.nickel@gmail.com
 ***************************************************************************/

/***************************************************************************
 *   This library is free software; you can redistribute it and/or modify  *
 *   it  under the terms of the GNU Lesser General Public License version  *
 *   2.1 as published by the Free Software Foundation.                     *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful, but   *
 *   WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  *
 *   USA                                                                   *
 ***************************************************************************/

#ifndef __STRINGLIST_H
#define __STRINGLIST_H

#include <tstringlist.h>

typedef struct _StringList StringList;

StringList * string_list_from_string (TagLib::String str);
StringList * string_list_from_field  (const TagLib::StringList sl);
extern "C" StringList * string_list_new (char * s);

extern "C" void   string_list_add_string (StringList * sl, char * str);
extern "C" char * string_list_get_first (StringList * sl);
extern "C" char * string_list_get_next (StringList * sl);
extern "C" uint   string_list_get_length (StringList * sl);
extern "C" void   string_list_free (StringList * sl);

TagLib::String string_list_to_string (StringList * sl);
TagLib::StringList string_list_get (StringList * sl);
#endif
